/*****************************************************************************/
/**                                                                         **/
/** (C) Copyright 2003 - Analog Devices, Inc.  All rights reserved.         **/
/**                                                                         **/
/*****************************************************************************/
/*****************************************************************************/

/*****************************************************************************/
/*               ADI DSP Division, EMP, Munich					             */
/*****************************************************************************/
/*
 *
 * FILE NAME	: GPIO_Setup_BF5xx.h	
 *
 * DATE         : $Date: 2006/12/01 07:44:35 $
 *
 * AUTHOR(S)    : $Author: ANALOG\tlorenz $
 *
 * REVISION NO. : $Revision: 2.0 $
 *
 * DESCRIPTION  :  ADV reset and enable control
 *
 *
 * SOFTWARE		: VisualDSP++4.5 (November Update)
 *
 * HARDWARE		: ADSP-BF561 EZ-KIT REV 2.0 BF561 Chip Rev 0.5
 *				: ADSP-BF533 EZ-KIT REV 1.7 BF533 Chip Rev 0.4
 *
 *
 *****************************************************************************/

#ifdef __ADSPBF561__
#include <cdefBF561.h>

/*******************************************************************************/
// specific defines for this module. Not used anywhere else
#define ADV7183_OE_bit				2			// ADV7183 /OE = PF2
#define ADV7183_RESET_bit			13			// ADV7183 /reset = PF13
#define ADV7183_Lock				0x0000ffff	// For startup locktime delay
#define ADV7183_Reset_Delay			0x04000000	// For delay after reset
#define ADV7179_RESET_bit			14			// ADV7179 /reset = PF14
#define ADV7179_Reset_Delay			0x0000ffff	// For reset pulse length

// 	Hardware description 
#define pFIO_FLAG_D					pFIO0_FLAG_D
#define pFIO_FLAG_C					pFIO0_FLAG_C
#define pFIO_FLAG_S					pFIO0_FLAG_S
#define pFIO_DIR					pFIO0_DIR
#define pFIO_INEN					pFIO0_INEN

#endif
/*******************************************************************************/

/*******************************************************************************/
#ifdef __ADSPBF533__
#include <cdefBF533.h>

// specific defines for this module. Not used anywhere else
#define ADV7183_OE_bit				2			// ADV7183 /OE = PF2
#define ADV7183_RESET_bit			13			// ADV7183 /reset = PF13
#define ADV7183_Lock				0x0000ffff	// For startup locktime delay
#define ADV7183_Reset_Delay			0x04000000	// For delay after reset
#define ADV7179_RESET_bit			14			// ADV7179 /reset = PF14
#define ADV7179_Reset_Delay			0x0000ffff	// For reset pulse length

#define pFlashA_PortA_Dir	((volatile unsigned short *)0x20270006)
#define pFlashA_PortA_Out	((volatile unsigned char *)0x20270004)

#define RST_7183					0x8			//decoder reset bit #3 in flashA portA
#define RST_7171					0x4			//decoder reset bit #3 in flashA portA

#endif
/*******************************************************************************/
